import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/webapp/disk/fileformat/` + url, ...arg)

/**
 * resource_file_formatApi接口管理器
 *
 * @author pans
 * @date  2025/06/28 12:01
 **/
export default {
	// 获取resource_file_format分页
	resourceFileFormatPage(data) {
		return request('page', data, 'get')
	},
	// 提交resource_file_format表单 edit为true时为编辑，默认为新增
	resourceFileFormatSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除resource_file_format
	resourceFileFormatDelete(data) {
		return request('delete', data)
	},
	// 获取resource_file_format详情
	resourceFileFormatDetail(data) {
		return request('detail', data, 'get')
	}}
